WMEMCMP(P)

NAME
wmemcmp - compare wide characters in memory

SYNOPSIS

#include <wchar.h>

int wmemcmp(const wchar_t *ws1, const wchar_t *ws2, size_t n);

DESCRIPTION

The wmemcmp() function shall compare the first n wide characters of the object pointed to by ws1 to the first n wide characters of the object pointed to by ws2. This function shall not be affected by locale and all wchar_t values shall be treated identically. The null wide character and wchar_t values not corresponding to valid characters shall not be treated specially.

If n is zero, the application shall ensure that ws1 and ws2 are valid pointers, and the function shall behave as if the two objects compare equal.

RETURN VALUE

The wmemcmp() function shall return an integer greater than, equal to, or less than zero, respectively, as the object pointed to by ws1 is greater than, equal to, or less than the object pointed to by ws2.

ERRORS

No errors are defined.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

None.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

wmemchr() , wmemcpy() , wmemmove() , wmemset() , the Base Definitions volume of IEEE Std 1003.1-2001, <wchar.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .